import request from '@/utils/request'

// 查询公告与用户关联记录用户是否已读公告列表
export function listLzydNoticeUser(query) {
  return request({
    url: '/system/LzydNoticeUser/list',
    method: 'get',
    params: query
  })
}

// 查询公告与用户关联记录用户是否已读公告详细
export function getLzydNoticeUser(id) {
  return request({
    url: '/system/LzydNoticeUser/' + id,
    method: 'get'
  })
}

// 新增公告与用户关联记录用户是否已读公告
export function addLzydNoticeUser(data) {
  return request({
    url: '/system/LzydNoticeUser',
    method: 'post',
    data: data
  })
}

// 修改公告与用户关联记录用户是否已读公告
export function updateLzydNoticeUser(data) {
  return request({
    url: '/system/LzydNoticeUser',
    method: 'put',
    data: data
  })
}

// 删除公告与用户关联记录用户是否已读公告
export function delLzydNoticeUser(id) {
  return request({
    url: '/system/LzydNoticeUser/' + id,
    method: 'delete'
  })
}

// 导出公告与用户关联记录用户是否已读公告
export function exportLzydNoticeUser(query) {
  return request({
    url: '/system/LzydNoticeUser/export',
    method: 'get',
    params: query
  })
}